Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class PolicyList

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.PolicyList

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TiePolicyList

    public class PolicyList

extends TieSystemObject

PolicyList represents a set of PolicyListElements, in defining a set of policy behavior for LibraryObjects.

The order of the PolicyListElements is significant, and determines the executing of policy code as part of an iFS operation.

See Also:
  `PolicyListElement`, `Policy`
(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `NAME_ATTRIBUTE` The name of the PolicyList.

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `PolicyList(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a PolicyList object - standard variant.

Method Summary
`static PolicyList[]` | `findAll(LibrarySession session)` Returns the set of defined PolicyLists.
`static PolicyList` | `findByName(LibrarySession session, java.lang.String name)` Returns the a PolicyList matching the specified name.
`static LibraryObjectLookupCache` | `getLibraryObjectLookupCache(LibrarySessionInterface session)` Returns the LibraryObjectLookupCache used by find PolicyList instances by name.
`PolicyListElement[]` | `getPolicyListElements()` Returns an array of PolicyListElement objects that are part of this PolicyList.

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, hasNameAttribute, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `PolicyList`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  Description copied from class: `PolicyList`
  The name of the PolicyList.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### PolicyList

    protected PolicyList(LibrarySession session,
                         java.lang.Long id,
                         java.lang.Long classId,
                         S_LibraryObjectData data)
                  throws IfsException

  Construct a PolicyList object - standard variant.

  Parameters:
    `session` - current Session
    `id` - object ID
    `classId` - the class ID
    `data` - attributes
  Throws:
    `IfsException`
  (Unpublished)

Method Detail

### getPolicyListElements

    public PolicyListElement[] getPolicyListElements()
                                              throws IfsException

  Description copied from class: `PolicyList`
  Returns an array of PolicyListElement objects that are part of this PolicyList.

  Returns:
    array of PolicyListElements
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getLibraryObjectLookupCache

    public static LibraryObjectLookupCache getLibraryObjectLookupCache(LibrarySessionInterface session)
                                                                throws IfsException

  Description copied from class: `PolicyList`
  Returns the LibraryObjectLookupCache used by find PolicyList instances by name.

  Parameters:
    `session` - the session context
  Returns:
    the LibraryObjectLookupCache
  Throws:
    `IfsException` - if the operation fails.

### findAll

    public static PolicyList[] findAll(LibrarySession session)
                                throws IfsException

  Description copied from class: `PolicyList`
  Returns the set of defined PolicyLists.

  The instances will be sorted by name.

  Parameters:
    `session` - the session context
  Returns:
    the set of PolicyLists; returns null if there are none
  Throws:
    `IfsException` - if the operation fails.

### findByName

    public static PolicyList findByName(LibrarySession session,
                                        java.lang.String name)
                                 throws IfsException

  Description copied from class: `PolicyList`
  Returns the a PolicyList matching the specified name.

  Parameters:
    `session` - the session context
    `name` - the PolicyList name
  Returns:
    the PolicyList matching the specified name; or null if there exists no matching PolicyList
  Throws:
    `IfsException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD